troubleshooting Question

How can gd2 library be enabled in php5?

Avatar of pallosp
pallosp asked on
PHP
7 Comments2 Solutions3421 ViewsLast Modified:
I'd like to use the gd2 library in php 5.1.2 in Windows XP.
My web server is Apache 2.0.53 and php is configured to run as an Apache module.
I copied php.ini-dist to c:\Program Files\Apache Group\Apache2 and renamed it to php.ini.
I changed the extension_dir variable to the following:
extension_dir = "C:/Langs/php/ext/"

When I try to call imagecreate function, I get the following error message:
Fatal error: Call to undefined function imagecreate() in C:\Program Files\Zend\ZendStudioClient-4.0.2\projects\test.php on line 2

phpinfo() reports that the extension dir is "c:/php5"
Apache has been restarted a few times, but nothing has changed.
Why don't php notice the new php.ini?

Thanks!
ASKER CERTIFIED SOLUTION
TeRReF

Our community of experts have been thoroughly vetted for their expertise and industry experience.

Join our community to see this answer!
Unlock 2 Answers and 7 Comments.
Start Free Trial
Learn from the best

Network and collaborate with thousands of CTOs, CISOs, and IT Pros rooting for you and your success.

Andrew Hancock - VMware vExpert
See if this solution works for you by signing up for a 7 day free trial.
Unlock 2 Answers and 7 Comments.
Try for 7 days

”The time we save is the biggest benefit of E-E to our team. What could take multiple guys 2 hours or more each to find is accessed in around 15 minutes on Experts Exchange.

-Mike Kapnisakis, Warner Bros